.container {
  height: 1500px;
}

.packman {
  width: 150px;
  height: 150px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  position: absolute;
}

.packman-top {
  position: relative;
  width: 100%;
  height: 75px;
  background-color: gold;
  transform-origin: bottom center;
  clip-path: ellipse(50% 100% at 50% 100%);
  animation: packmanTop 1s infinite alternate;
}

.packman-top::after {
  content: '';
  width: 20px;
  height: 20px;
  background-color: black;
  border-radius: 50%;
  position: absolute;
  top: 40px;
  left: 110px;
}

.packman-bottom {
  width: 100%;
  height: 75px;
  background-color: gold;
  transform-origin: top center;
  clip-path: ellipse(50% 100% at 50% 0%);
  animation: packmanBottom 1s infinite alternate;
}

.circle {
  position: fixed;
  width: 150px;
  height: 150px;
  clip-path: circle(50%);
  background-color: skyblue;
}

.dummy-section-sm {
  height: 500px;
  background-color: teal;
  /*animation: fadeIn 0.6s linear;*/
}

.dummy-section-md:first-of-type {
  margin-top: 150px;
  animation: fadeInToTop 0.6s ease-in-out;
}

.dummy-section-md {
  height: 750px;
  background-color: pink;
}

.dummy-section-lg {
  height: 920px;
  background-color: salmon;
  /*animation: fadeInToTop 0.6s ease-in-out;*/
}

@keyframes packmanTop {
  from {
    transform: rotate(-45deg);
  }
  to {
    transform: rotate(0deg);
  }
}


@keyframes packmanBottom {
  from {
    transform: rotate(45deg);
  }
  to {
    transform: rotate(0deg);
  }
}

@keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

@keyframes fadeInToTop {
  0% {
    opacity: 0;
    transform: translateY(1000px);
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

.make-animation-play {
  animation-play-state: running;
}

